import request from '@/utils/request'

// 查询企业微信三方应用授权公司列表
export function listCompany(query) {
  return request({
    url: '/qywx/company/list',
    method: 'get',
    params: query
  })
}

// 查询企业微信三方应用授权公司详细
export function getCompany(id) {
  return request({
    url: '/qywx/company/' + id,
    method: 'get'
  })
}

// 新增企业微信三方应用授权公司
export function addCompany(data) {
  return request({
    url: '/qywx/company',
    method: 'post',
    data: data
  })
}

// 修改企业微信三方应用授权公司
export function updateCompany(data) {
  return request({
    url: '/qywx/company',
    method: 'put',
    data: data
  })
}

// 删除企业微信三方应用授权公司
export function delCompany(id) {
  return request({
    url: '/qywx/company/' + id,
    method: 'delete'
  })
}

// 导出企业微信三方应用授权公司
export function exportCompany(query) {
  return request({
    url: '/qywx/company/export',
    method: 'get',
    params: query
  })
}